import request from '@/utils/request'

// 查询不接单日期列表
export function listAppletOutDate(query) {
  return request({
    url: '/model/AppletOutDate/list',
    method: 'get',
    params: query
  })
}

// 查询不接单日期详细
export function getAppletOutDate(id) {
  return request({
    url: '/model/AppletOutDate/' + id,
    method: 'get'
  })
}

// 新增不接单日期
export function addAppletOutDate(data) {
  return request({
    url: '/model/AppletOutDate',
    method: 'post',
    data: data
  })
}

// 修改不接单日期
export function updateAppletOutDate(data) {
  return request({
    url: '/model/AppletOutDate',
    method: 'put',
    data: data
  })
}

// 删除不接单日期
export function delAppletOutDate(id) {
  return request({
    url: '/model/AppletOutDate/' + id,
    method: 'delete'
  })
}
